# draugr.torch_utilities.operations.torch_transforms.batch_transforms.BatchNormalize

class draugr.torch_utilities.operations.torch_transforms.batch_transforms.BatchNormalize(mean, std, inplace=False, dtype=torch.float32, device='cpu')

  Bases: `object`

  Applies the `Normalize` transform to a batch of images. .. note:: This transform acts out of place by default, i.e., it does not mutate the input tensor. Args: mean (sequence): Sequence of means for each channel. std (sequence): Sequence of standard deviations for each channel. inplace(bool,optional): Bool to make this operation in-place. dtype (torch.dtype,optional): The data type of tensors to which the transform will be applied. device (torch.device,optional): The device of tensors to which the transform will be applied.

  __init__(mean, std, inplace=False, dtype=torch.float32, device='cpu')

  Methods

  `__init__`(mean, std[, inplace, dtype, device]) |